javax.resource

## Annotation Type AdministeredObjectDefinition

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface AdministeredObjectDefinition

  Annotation used to define a Connector administered object to be registered in JNDI. Once defined, a resource may be referenced by a component using the lookup element of the Resource annotation.
  Since:
    1.7
  See Also:
    `javax.annotation.Resource`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `className` The fully qualified domain name of the administered object class.
    `java.lang.String` | `name` JNDI name of the administrered object resource being defined.
    `java.lang.String` | `resourceAdapter` The name of the resource adapter that the administered object must be created from.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `description` Description of the resource.
    `java.lang.String` | `interfaceName` The fully qualified domain name of the administered object interface class.
    `java.lang.String[]` | `properties` Properties of the administered object.

- - ### Element Detail

    - #### name

          public abstract java.lang.String name

      JNDI name of the administrered object resource being defined.

  - - #### resourceAdapter

          public abstract java.lang.String resourceAdapter

      The name of the resource adapter that the administered object must be created from. The resource adapter is required to be available at deployment time.

  - - #### className

          public abstract java.lang.String className

      The fully qualified domain name of the administered object class.

  - - #### description

          public abstract java.lang.String description

      Description of the resource.
      Default:
        ""

  - - #### interfaceName

          public abstract java.lang.String interfaceName

      The fully qualified domain name of the administered object interface class.
      Default:
        ""

  - - #### properties

          public abstract java.lang.String[] properties

      Properties of the administered object. These properties may be vendor-specific properties. Vendor-specific properties may be combined with or used to override the administered object properties defined using this annotation. Administered object properties that are specified and are not supported in a given resource adapter or cannot be mapped to a vendor specific configuration property may be ignored.
      Default:
        {}

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)